Bug 720149 - Review Request: django-followit - A django app that allows users to follow django model objects
Review Request: django-followit - A django app that allows users to follow ...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: pjp
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-10 06:56 EDT by Praveen Kumar
Modified: 2014-06-27 16:39 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-27 16:39:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
pj.pandit: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Praveen Kumar 2011-07-10 06:56:30 EDT
Spec URL: http://kumarpraveen.fedorapeople.org/django-followit/django-followit.spec
SRPM URL: http://kumarpraveen.fedorapeople.org/django-followit/django-followit-0.0.1-1.20110709gitb53320.fc15.src.rpm
Description: The django-followit django app allows to easily set up a capability for the site users to follow various things on the site, represented by django model objects.
Comment 1 pjp 2011-07-10 15:22:34 EDT
[X] Package name - ok.
[X] Package group - ok.
[X] Package license: BSD - ok.
[X] Build successful - ok.

[X] rpmlint SRPMS/django-followit-0.0.1-1.20110709gitb53320.fc14.src.rpm 
django-followit.src: W: invalid-url Source0: django-followit-0.0.1.20110709gitb53320.tar.xz
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

  - ok(source is pulled from git repository).

[X] rpmlint RPMS/noarch/django-followit-0.0.1-1.20110709gitb53320.fc14.noarch.rpm 
django-followit.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

  - %doc section needs documents.

[X] Install/Un-install - ok.

Overall good. Please supply some documentation in %doc LICENSE README ...
Comment 2 Praveen Kumar 2011-07-10 22:35:46 EDT
Source is only contain a zero-size README.txt so should I remove doc section ?
Comment 3 pjp 2011-07-11 01:51:27 EDT
Removing %doc does not sound like a good idea. May be you could write a README explaining what the package is about and how it is useful. You could also include LICNESE file in %doc.
Comment 5 pjp 2011-07-17 10:29:32 EDT
[X] Package name - ok
[X] Pacakge group - ok.
[X] Package license - ok.
[X] Build successful - ok.

[X] pmlint SRPMS/django-followit-0.0.1-2.20110717git15ced1.fc14.src.rpm 
django-followit.src: W: invalid-url Source0: django-followit-0.0.1.20110717git15ced1.tar.xz
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

  - ok.

[X] rpmlint RPMS/noarch/django-followit-0.0.1-2.20110717git15ced1.fc14.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

  - ok.

[X] Install/Un-install - ok.

[root]# rpm -ivh django-followit-0.0.1-2.20110717git15ced1.fc14.noarch.rpm 
Preparing...                ########################################### [100%]
   1:django-followit        ########################################### [100%]
[root]# rpm -ev django-followit-0.0.1-2.20110717git15ced1.fc14
[root]# rpm -qa | grep django-followit

Overall good.
Comment 6 pjp 2011-07-17 10:30:07 EDT
Approved.
Comment 7 Praveen Kumar 2011-07-17 10:38:56 EDT
New Package SCM Request
=======================
Package Name: django-followit
Short Description: A django app that allows users to follow django model objects
Owners: kumarpraveen
Branches: f14 f15
Comment 8 Rahul Sundaram 2011-07-17 18:15:55 EDT
django-followit is now in pypi, has a release tarball and the license included in this tarball.  You should update your spec for using this url and the tarball there

http://pypi.python.org/pypi/followit/

Also instead of mv,  you could use %doc followit/LICENSE or define a macro, %global srcname followit and then using that macro consistently throughout the spec.
Comment 9 Rahul Sundaram 2011-07-17 18:19:30 EDT
Also add PKG-INFO to %doc
Comment 11 Rahul Sundaram 2011-07-17 21:32:21 EDT
New Package SCM Request
=======================
Package Name: django-followit
Short Description: A django app that allows users to follow django model
objects
Owners: kumarpraveen sundaram pjp
Branches: f14 f15 el6
Comment 12 Jon Ciesla 2011-07-17 22:54:46 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.